<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

class HinterlegungDauer extends HinterlegungDialogBasis
{
  
  public $data;

  
  public function __construct()
  {
    parent::__construct();

    $dbwhlDauer = new DBWorkHLDauer();
    $this->data = $dbwhlDauer->getAll();
  }

  
  public function GetColumnCount()
  {
    return 1;
  }

  
  public function GetColumnTitle($index = 0)
  {
    return '';
  }

  
  public function GetColumnWidth($index = 0)
  {
    return '100%';
  }

  
  public function GetIdColumnIndices()
  {
    return array(0);
  }

  
  public function GetRowCount()
  {
    return count($this->data);
  }

  
  public function GetValueAt($row, $col = 0)
  {
    return $this->data[$row]->dauer;
  }
}